Catalog - Get Schema
Retrieves the specified schema from the Data Lake Analytics catalog.
GET https://{accountName}.{adlaCatalogDnsSuffix}/catalog/usql/databases/{databaseName}/schemas/{schemaName}?api-version=2016-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
string |
The Azure Data Lake Analytics account upon which to execute catalog operations. |
|
adla
|
path | True |
string |
Gets the DNS suffix used as the base for all Azure Data Lake Analytics Catalog service requests. |
|
database
|
path | True |
string |
The name of the database containing the schema. |
|
schema
|
path | True |
string |
The name of the schema. |
|
api-version
|
query | True |
string |
Client Api Version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully retrieved the details of the specified schema in the specified database. |
Examples
Retrieves the specified schema from the Data Lake Analytics catalog
Sample request
GET https://contosoadla.azuredatalakeanalytics.net/catalog/usql/databases/master/schemas/dbo?api-version=2016-11-01
Sample response
{
"computeAccountName": "contosoadla",
"version": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345",
"databaseName": "master",
"schemaName": "dbo"
}
Definitions
USqlSchema
A Data Lake Analytics catalog U-SQL schema item.
| Name | Type | Description |
|---|---|---|
| computeAccountName |
string |
the name of the Data Lake Analytics account. |
| databaseName |
string |
the name of the database. |
| schemaName |
string |
the name of the schema. |
| version |
string (uuid) |
the version of the catalog item. |